WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] Parse error: syntax error while upgrading to 3.6 (7 posts)

  1. claimingkin
    Member
    Posted 12 months ago #

    I just completed a manual upgrade from version 3.5.2 to the new 3.6 and when I tried to run the Update your installation step - http://www.claimingkin.com/wp-admin/upgrade.php - my blog site won't come up and I get the following error message:

    Parse error: syntax error, unexpected ',' in /home/kinfolks/public_html/wp-includes/post.php on line 2936

    When I opened my html editor to take a look at - /wp-includes/post.php on line 2936 - this is what I saw:

    2936 if ( $clear_date ) {
    2937	 $postarr['post_date'] = current_time('mysql');
    2938	 $postarr['post_date_gmt'] = '';

    I know just enough html to be dangerous, so I have not touched or changed any code. But what is causing me all these problems?

    Do I need to go back to my version 3.5.2 at this point?

    Thanks in advance for all your assistance!

  2. Thanks for creating your own post :)

    Please don't change ANY of the files in the wp-admin or wp-includes folder. To make sure what you have is legit you could reinstall WP 3.6 by going to Dashboard --> Updates --> RE-Install now.

    Try deactivating all your plugins and changing to the default theme. If that fixes things then a plugin/theme is the culprit. You can then activate the plugins one by one.

  3. claimingkin
    Member
    Posted 12 months ago #

    Patrick, I appreciate your assistance.

    I promise, I have not touched ANY of the files in any of the folders.

    I have a slight problem, I am not able to access my blog's dashboard either by going to the following links:
    http://www.claimingkin.com/login.php
    http://www.claimingkin.com/wp-admin/

    Is there another way I can access my blog's dashboard to do what you suggest?

    Before I started this upgrade, I deactivated all of my plugins, with the exception of Maintenance Mode.

    So let me know!

  4. Oh...that's interesting. Anyway, try replacing the wp-includes folder with a fresh set of files from http://wordpress.org/download/.

  5. claimingkin
    Member
    Posted 12 months ago #

    Patrick, you ROCK! Thank you so much. Your advice did the trick! I so appreciate you and all the volunteer moderators at WordPress.org!

    Again, THANKS!

  6. Awesome :) It seems like for some odd reason your upgrade files were corrupt.

  7. claimingkin
    Member
    Posted 12 months ago #

    I do believe they were. Since I was replacing the wp-includes folder, I decided to start fresh with all the folders . . . and it worked. I have marked this thread as resolved.

    Now, if I can figure out why my gravatar won't show up here as it does on other blogs that I post to, I will be rocking and rolling for sure.

    Again, thanks!

Reply

You must log in to post.

About this Topic